#view-allocateManageVirt {

  #allocateManageVirt-allocationBalance {
    background-color: #97cbd1;
    border-style: solid;
    border-width: 2px;
    text-align: right;
    text-align: center;
    font-size: 150%;
    color: white;
    border-radius: 20px;
    padding: 20px;
    padding-left: 50px;
    background-size: 30px 30px;
    background-repeat: no-repeat;
    background-position: 50px center;
    width: calc(100% - 40px);
    margin: auto;

    .spinner-loader {
      filter: brightness(300%);
      scale: 0.8;
      vertical-align: middle;
      margin-left: 3em;
      margin-right: 3em;
      margin-top: 4px;
      margin-bottom: 8px;
    }
  }

  #allocateManageVirt-allocationBalance {
    background-image: url("./svg/swap.svg");
    border-color: #a45797;
  }

  #allocateManageVirt-message {
    padding: 20px;
    text-align: center;
  }

  #allocateManageVirt-arrow {
    text-align: center;

    .allocateManageVirt-arrow-down {
      /* draw triangle down */
      width: 0;
      height: 0;
      border-top: 15px solid #AAA;
      border-left: 80px solid transparent;
      border-right: 80px solid transparent;
      display: inline-block;
      margin-top: 2px;
      margin-bottom: 12px;
      opacity: 0.5;
    }
  }

  #allocateManageVirt-pairSettings {
    margin-left: auto;
    margin-right: auto;
    text-align: center;

    div {
      height: 2em;
      span {
        input {
          display: inline-block;
          border-radius: 5px;
          width: 10em;
          height: 22px;
          margin-top: -2px;
          min-width: 10em;
          margin-right: 4px;
          text-align: right;
        }
      }
    }

    p {
      max-width: 460px;
      margin-left: auto;
      margin-right: auto;
    }
  }

  #allocateManageVirt-pair {
    font-size: 1.2em;
    font-weight: 800;
    margin-bottom: 1em;
  }

  #allocateManageVirt-spinner {
    display: none;
    background: linear-gradient(rgba(255,255,255,0.6),rgba(255,255,255,0.7),rgba(255,255,255,0.5));
    width: calc(100% - 48px);
    height: calc(100% - 80px);
    top: 80px;
    text-align: center;
    position: absolute;
    z-index: 99999;
    .spinner-loader {
      margin-top: 25vh;
      margin-left: 0;
    }
  }

  #allocateManageVirt-spinner-message {
    margin-top: 24px;
    font-size: 1.2em;
    font-weight: bold;
  }

  #allocateManageVirt-amount {
    height: 57px;
    width: 100%;
    margin-top: 10px;

    @include font-size($xl-font-size);

    padding-right: 140px;

    /* run text toward transparency under textbox buttons */
    background: linear-gradient(to right, #333, #333, rgba(1, 1, 1, 0));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: rgba(125, 125, 125, 0.5);
  }

  #allocateManageVirt-field-elements-B {
    position: relative;
    z-index: 99999;
    float: right;
    margin: -65px 12px 0 0;

    #allocateManageVirt-symbol {
      text-transform: uppercase;
      display: inline-block;
      color: $grey;
      font-weight: $semi-bold;
      background: transparent;
      margin: 10px 6px 0 0;

      @include font-size();
      @include border-radius();
    }
  }

  #allocateManageVirt-symbolSpan {
    text-transform: uppercase;
  }

  #allocateManageVirt-addressSpan {
    text-transform: uppercase;
  }

  #allocateManageVirt-expanded {
    display: none;
    text-align: left;
    max-width: 460px;
    min-height: 5em;
    margin-left: auto;
    margin-right: auto;
    div {
      height: 2em;
    }
    span {
      float: right;
    }
  }

  //
  // Buttons
  //

  #allocateManageVirt-allocate {
    width: 170px;
    margin-bottom: 4px;
    margin-top: 2.5em;
    margin-left: auto;
    margin-right: auto;

    .icon {
      background-repeat: no-repeat;
      display: inline-block;
      margin-right: 8px;
      width: 20px;
      height: 20px;
      filter: brightness(50%) sepia(100) hue-rotate(130deg);

      svg {
        width: 20px;
        height: 20px;
        margin-bottom: -2px;

        path {
          fill: white !important;
        }
      }

      background-image: url("./svg/receive.svg");
      vertical-align: middle;
    }
  }

  #allocateManageVirt-delete {
    width: 32%;
    margin-right: 2%;
    background-color: #EDC;
    border-color: #FAA;
    color: #855;
  }

  #allocateManageVirt-cancel {
    width: 32%;
    margin-right: 2%;
  }

  #allocateManageVirt-save {
    width: 62%;
  }

}
